# voamrwbenc

AMR wideband encoder based on the reference codec implementation.

## Example launch line

     gst-launch filesrc location=abc.wav ! wavparse ! audioresample ! audioconvert ! voamrwbenc ! filesink location=abc.amr

Please note that the above stream misses the header, that is needed to play the stream.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstAudioEncoder
                        ╰──voamrwbenc

## Implemented interfaces

    GstPreset

## Factory details

Authors: – Renato Araujo

Classification: – `Codec/Encoder/Audio`

Rank – secondary

Plugin – voamrwbenc

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    audio/x-raw:
             format: S16LE
             layout: interleaved
               rate: 16000
           channels: 1

Presence – always

Direction – sink

Object type – GstPad

### `src`

    audio/AMR-WB:
               rate: 16000
           channels: 1

Presence – always

Direction – src

Object type – GstPad

## Properties

### band-mode

    “band-mode” GstVoAmrWbEncBandMode *

Encoding Band Mode (Kbps)

Flags : Read / Write / Construct

Default value : MR660 (0)

## Named constants

### GstVoAmrWbEncBandMode

#### Members

`MR660` (0) – MR660
`MR885` (1) – MR885
`MR1265` (2) – MR1265
`MR1425` (3) – MR1425
`MR1585` (4) – MR1585
`MR1825` (5) – MR1825
`MR1985` (6) – MR1985
`MR2305` (7) – MR2305
`MR2385` (8) – MR2385
`MRDTX` (9) – MRDTX

The results of the search are